@font-face {
    font-family: "JoanneMarieScript";
    src: url("https://db.onlinewebfonts.com/t/3cb0c817d35a1b8bd97ec25d0735da96.eot");
    src: url("https://db.onlinewebfonts.com/t/3cb0c817d35a1b8bd97ec25d0735da96.eot?#iefix")format("embedded-opentype"),
    url("https://db.onlinewebfonts.com/t/3cb0c817d35a1b8bd97ec25d0735da96.woff2")format("woff2"),
    url("https://db.onlinewebfonts.com/t/3cb0c817d35a1b8bd97ec25d0735da96.woff")format("woff"),
    url("https://db.onlinewebfonts.com/t/3cb0c817d35a1b8bd97ec25d0735da96.ttf")format("truetype"),
    url("https://db.onlinewebfonts.com/t/3cb0c817d35a1b8bd97ec25d0735da96.svg#JoanneMarieScript")format("svg");
}

body {
    margin-top: 20px;
    background-color: #f2f2f2;
    text-align: center;
}

/* ===== Header ===== */

header {
    margin-top : 10px;
    padding: 10px 0px 0px 0px;  /* deutlich kompakter */
}

h1 {
    font-family: 'Cormorant Garamond', serif;
    font-weight: 600;
    font-size: clamp(30px, 3.5vw, 44px);
    margin: 0 0 10px 0;
}

/* ===== Navigation ===== */

nav {
    font-family: 'Cormorant Garamond', serif;
    display: flex;
    justify-content: center;
    gap: 35px;
    flex-wrap: wrap;
    margin-bottom: 30px;
}

nav a {
    text-decoration: none;
    color: #111;
    font-size: 20px;
}

/* ===== Bild ===== */

.main-image img {
    margin-top:48px;
    max-height: 48vh;
    /*width: auto;*/
    max-width: 48vw;
    /*height: auto;*/
}

/* ===== Subtitle ===== */

.subtitle {
    font-family: 'JoanneMarieScript', cursive;
    font-size: clamp(20px, 2.5vw, 28px);
    line-height: 1.4;
    word-spacing: 4px;

    max-width: 650px;
    margin: 20px auto 40px auto;
    padding: 0 20px;
}

.subtitle .line {
    display: block;
    white-space: nowrap;
}

/* ===== Mobile ===== */

@media (max-width: 600px) {
  
    header {
      padding: 30px 10px 10px 30px;
    }

    nav {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 10px 20px;
        justify-items: center;
    }

    nav a {
        font-size: 17px;
    }

    .main-image img {
        max-height: 100%;
        width: 95vw;
    }

    .subtitle {
        font-family: 'JoanneMarieScript', cursive;
        font-size: clamp(20px, 2.5vw, 28px);
        line-height: 1.4;
        word-spacing: 1.5px;

        max-width: 350px;
        margin: 10px auto auto auto;
        padding: 0 20px;
    }

    .subtitle .line {
        display: flex;
        justify-content: center;
    }
}